Reject Candidate
POST
/api/v1/knowledge-graph/candidates/{candidate_id}/reject
const url = 'https://api.ultimateteam.ai/api/v1/knowledge-graph/candidates/example/reject';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/knowledge-graph/candidates/example/reject \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "reason": "example" }'Reject a staging candidate with a reason.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”candidate_id
required
Candidate Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
RejectRequest
object
reason
required
Reason
string
Examplegenerated
{ "reason": "example"}Responses
Section titled “ Responses ”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}